API referenceMasterAgreement
POST /api/MasterAgreement/PostAssetMasterAgreementConnections
This endpoint will create or update asset - master agreement connections
POST
/api/MasterAgreement/PostAssetMasterAgreementConnectionscurl -X POST "/api/MasterAgreement/PostAssetMasterAgreementConnections" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"masterAgreementAssetConnections": [
{
"id": 0,
"masterAgreementId": 0,
"assetId": 0,
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z"
}
],
"updateFromConnection": true
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.BackOffice.MasterAgreementAssetConnectionsWithFlag
Response
application/json
Created or updated Asset Master Agreement connections
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.MasterAgreementAssetConnectionCreateDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"masterAgreementId": 0,
"assetId": 0,
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z"
}
]
}